org.apache.tapestry5.upload.modules

## Class UploadModule

- java.lang.Object
- - org.apache.tapestry5.upload.modules.UploadModule

-     public class UploadModule
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UploadModule()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.commons.fileupload.FileItemFactory` | `buildDefaultFileItemFactory(int repositoryThreshold, java.lang.String repositoryLocation)` The default FileItemFactory used by the MultipartDecoder is `DiskFileItemFactory`.
    `static MultipartDecoder` | `buildMultipartDecoder(PerthreadManager perthreadManager, RegistryShutdownHub shutdownHub, MultipartDecoderImpl multipartDecoder)`
    `static void` | `contributeComponentClassResolver(Configuration<LibraryMapping> configuration)`
    `static void` | `contributeComponentEventRequestHandler(OrderedConfiguration<ComponentEventRequestFilter> configuration)` Adds UploadException to the pipeline, between Secure and Ajax (both provided by TapestryModule).
    `static void` | `contributeFactoryDefaults(MappedConfiguration<java.lang.String,java.lang.String> configuration)`
    `static void` | `contributeHttpServletRequestHandler(OrderedConfiguration<HttpServletRequestFilter> configuration, MultipartDecoder multipartDecoder)` Contributes a filter, "MultipartFilter" after "IgnoredPaths".

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UploadModule

          public UploadModule()

  - ### Method Detail

    - #### contributeComponentClassResolver

          public static void contributeComponentClassResolver(Configuration<LibraryMapping> configuration)

    - #### buildMultipartDecoder

          @Scope(value="perthread")
          public static MultipartDecoder buildMultipartDecoder(PerthreadManager perthreadManager,
                                                                                         RegistryShutdownHub shutdownHub,
                                                                                         @Autobuild
                                                                                         MultipartDecoderImpl multipartDecoder)

    - #### contributeHttpServletRequestHandler

          public static void contributeHttpServletRequestHandler(OrderedConfiguration<HttpServletRequestFilter> configuration,
                                                                 MultipartDecoder multipartDecoder)

      Contributes a filter, "MultipartFilter" after "IgnoredPaths".

    - #### contributeComponentEventRequestHandler

          public static void contributeComponentEventRequestHandler(OrderedConfiguration<ComponentEventRequestFilter> configuration)

      Adds UploadException to the pipeline, between Secure and Ajax (both provided by TapestryModule). UploadException is responsible for triggering the upload exception event.

    - #### buildDefaultFileItemFactory

          public static org.apache.commons.fileupload.FileItemFactory buildDefaultFileItemFactory(@Symbol(value="upload.repository-threshold")
                                                                                                  int repositoryThreshold,
                                                                                                  @Symbol(value="upload.repository-location")
                                                                                                  java.lang.String repositoryLocation)

      The default FileItemFactory used by the MultipartDecoder is `DiskFileItemFactory`.

    - #### contributeFactoryDefaults

          public static void contributeFactoryDefaults(MappedConfiguration<java.lang.String,java.lang.String> configuration)

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.